## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCameraSectorListener Struct Reference
[Views & Cameras, Views & Cameras]

Implement this interface if you are interested in learning when the camera changes sector. More...

`#include <iengine/camera.h>`

Inheritance diagram for iCameraSectorListener:

[legend]
List of all members.

## Public Member Functions

virtual void | NewSector (iCamera *camera, iSector *sector)=0
| Fired when the sector changes.

## Detailed Description

Implement this interface if you are interested in learning when the camera changes sector.

Definition at line 61 of file camera.h.

## Member Function Documentation

virtual void iCameraSectorListener::NewSector | ( | iCamera * | camera,
|  | iSector * | sector
| ) | `[pure virtual]`

| Fired when the sector changes.

The documentation for this struct was generated from the following file:

- iengine/camera.h